Name:           python-ehyd-tools
Version:        0.1.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Reading and analyzing hydro(geo)logic time series from the Austrian government's "ehyd.gv.at" platform.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/MarkusPic/ehyd_tools
Source:         %{pypi_source ehyd_tools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ehyd-tools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ehyd-tools
Summary:        %{summary}

%description -n python3-ehyd-tools %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ehyd-tools parquet


%prep
%autosetup -p1 -n ehyd_tools-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x parquet


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ehyd-tools -f %{pyproject_files}


%changelog
%autochangelog